### Enumeration

# Gtk ShortcutScope

since: 4.0

#### Declaration

    enum Gtk.ShortcutScope

#### Description [src]

Describes where `GtkShortcut`s added to a `GtkShortcutController` get handled.

Available since: 4.0

#### Members

`GTK_SHORTCUT_SCOPE_LOCAL`

  Shortcuts are handled inside the widget the controller belongs to.

  - Value: `0`
  - Nickname: `local`
  - Available since: 4.0
`GTK_SHORTCUT_SCOPE_MANAGED`

  Shortcuts are handled by the first ancestor that is a `GtkShortcutManager`

  - Value: `1`
  - Nickname: `managed`
  - Available since: 4.0
`GTK_SHORTCUT_SCOPE_GLOBAL`

  Shortcuts are handled by the root widget.

  - Value: `2`
  - Nickname: `global`
  - Available since: 4.0